WL#2087: Create CE compatible version

Affects: Connector/.NET-5.2   —   Status: Complete   —   Priority: Medium

Several people (including Brian) have asked me to create a CE compatible version
of the provider.